<?php
   //solicitamos archivo de conexion a mysql
   require_once('../conf/connection.php');
 
$fecha_ft =$_GET["fecha"];
date_default_timezone_set("America/Buenos aires" ) ; 
$hora = date('h:i a',time() - 3600*date('I')); 


//suma total de ventas boletas = "1" y faturas="2" 

$query="SELECT sum(total) AS boletas FROM ventas  WHERE doc='2' AND fecha='$fecha_ft'";
$rs_query=mysql_query($query);
$boletas=mysql_result($rs_query,0,"boletas");
if($boletas==""){$boletas="0";}else{}

$query="SELECT sum(total) AS facturas FROM ventas  WHERE doc='1' AND fecha='$fecha_ft'";
$rs_query=mysql_query($query);
$facturas=mysql_result($rs_query,0,"facturas");

$query_pedidosya="SELECT sum(pedidosya) AS total_pedidosya FROM ventas  WHERE  fecha='$fecha_ft'";
$rs_query_pedidosya=mysql_query($query_pedidosya);
$pedidosya=mysql_result($rs_query_pedidosya,0,"total_pedidosya");
if($pedidosya==""){$pedidosya="0";}else{}

if($facturas==""){$facturas="0";}else{}
$totalventa=$boletas+$facturas+$pedidosya;

//suma total de ventas efectivo = "1" y debito="2" y cheque=3 

$query="SELECT sum(total) AS efectivo FROM ventas  WHERE f_pagos='1' AND fecha='$fecha_ft'";
$rs_query=mysql_query($query);
$efectivo=mysql_result($rs_query,0,"efectivo");
if($efectivo==""){$efectivo="0";}else{}
$query="SELECT sum(total) AS debito FROM ventas  WHERE f_pagos='2' AND fecha='$fecha_ft'";
$rs_query=mysql_query($query);
$debito=mysql_result($rs_query,0,"debito");
if($debito==""){$debito="0";}else{}

$query="SELECT sum(total) AS cheques FROM ventas  WHERE f_pagos='3' AND fecha='$fecha_ft'";
$rs_query=mysql_query($query);
$cheques=mysql_result($rs_query,0,"cheques");
if($cheques==""){$cheques="0";}else{}

$query="SELECT sum(total) AS cuenta FROM ventas  WHERE f_pagos='4' AND fecha='$fecha_ft'";
$rs_query=mysql_query($query);
$cuenta=mysql_result($rs_query,0,"cuenta");
if($cuenta==""){$cuenta="0";}else{}

$totalventa_pago=$efectivo+$debito+$cheques+$cuenta;
$final_total=$totalventa-$cuenta;
//fin 


$miarchivo=fopen($archivo."precuenta.txt","w");//abrir archivo, nombre archivo, modo apertura

fwrite($miarchivo,"Marcelo Alejandro Gonzalez " . PHP_EOL); //TITULO
fwrite($miarchivo,"Food Truck EIRL " . PHP_EOL); //TITULO
fwrite($miarchivo,"FRITANGANANICA" . PHP_EOL); //TITULO
fwrite($miarchivo,"Faja Via Paillaco Ret1" . PHP_EOL); //TITULO
fwrite($miarchivo,"Paillaco" . PHP_EOL); //TITULO
fwrite($miarchivo,"---------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
fwrite($miarchivo," CIERRE DE CAJA       " . PHP_EOL); //TITULO
fwrite($miarchivo,"---------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION

fwrite($miarchivo,"FECHA: ".$fecha . PHP_EOL ); //fECHA 
fwrite($miarchivo,"HRS: ".$hora . PHP_EOL ); //HORA

fwrite($miarchivo," "  . PHP_EOL ); //SALTO DE LINEA
fwrite($miarchivo,"DETALLES POR FORMA DE PAGO". PHP_EOL ); //inicio del detalle del tiket
fwrite($miarchivo,"---------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
fwrite($miarchivo,"EFECTIVO: ".$efectivo . PHP_EOL ); 
fwrite($miarchivo,"TARJETA: ".$debito . PHP_EOL );
fwrite($miarchivo,"TRANSFERENCIA: ".$cheques . PHP_EOL );
fwrite($miarchivo,"---------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
fwrite($miarchivo,"TOTAL : ".$totalventa_pago . PHP_EOL );

fwrite($miarchivo,"---------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
fwrite($miarchivo," "  . PHP_EOL ); //SALTO DE LINEA

fwrite($miarchivo,"DETALLES". PHP_EOL ); //inicio del detalle del tiket
fwrite($miarchivo,"PEDIDO");fwrite($miarchivo,"    VEND");fwrite($miarchivo,"    TOTAL" . PHP_EOL) ;//CABESA DE LA TABLA
fwrite($miarchivo,"---------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
//INICIO DEL BUCLE 

           $buscar='select * from ventas where fecha like \'%'.$fecha_ft.'%\'';
  		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{			
				while($row=mysql_fetch_assoc($r))
				{ 
					 $idpedido=$row["idpedido"];
					 $cart_nom=strlen($idpedido);
					 
				  
					 
					 $mesa=$row["mesa"];
					 $query_mesa="SELECT * FROM mesa  WHERE num_mesa='$mesa'";
					 $rs_query_mesa=mysql_query($query_mesa);
					 $nom_mesa=mysql_result($rs_query_mesa,0,"cliente");
					 
					 $cart_cant=strlen($nom_mesa);
					 
					 $total=$row["total"];	
					 $cart_total=strlen($total);
					 
					 //mostraamos las variables 
					 
					 fwrite($miarchivo," ".$idpedido);
                     for($l_cant=$cart_nom;$l_cant<=5;$l_cant++){ fwrite($miarchivo," "); }
					 
					 fwrite($miarchivo," ".$nom_mesa);
                     for($r_cant=$cart_cant;$r_cant<=5;$r_cant++){ fwrite($miarchivo," "); }
					 
					 fwrite($miarchivo," ".$total.  PHP_EOL );
                     
					 
				}
               fwrite($miarchivo,"---------------------------- "  . PHP_EOL ); //LINEA DE SEPARACION
               fwrite($miarchivo,"    TOTAL:     ".$totalventa_pago.  PHP_EOL );
		
			   fwrite($miarchivo,"    "  . PHP_EOL );			}
			   fwrite($miarchivo,"* Fin cierre de caja * "  . PHP_EOL );

//FIN DEL BUCLE


fclose($miarchivo); //cerrar archivo

$file=file_get_contents("precuenta.txt");
$handle= printer_open("imp");
printer_write($handle, $file);
printer_close($handle);	 
  
						?> 
                        <script> window.history.back(); </script>